Solved Anyone know what this issue is?

Discussion in 'Spigot Plugin Help' started by dawidperez, Jun 3, 2017.

Thread Status:
Not open for further replies.
  1. Code (Text):
    [05:14:27] [Server thread/WARN]: Enabled plugin with unregistered PluginClassLoader DemeLine v1.1.3
    [05:14:27] [Server thread/ERROR]: Error occurred while enabling DemeLine v1.1.3 (Is it up to date?)
    java.lang.NoSuchFieldError: stop_cause_maximum_game_time
    at me.daf2002.DemeLine.IMessagesConfig.<init>(IMessagesConfig.java:105) ~[?:?]
    at me.daf2002.DemeLine.Main.onEnable(Main.java:50) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:271) ~[spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at us.Myles.PWP.TransparentListeners.PerWorldPluginLoader.enablePlugin(PerWorldPluginLoader.java:145) [PerWorldPlugins.jar:?]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at org.bukkit.craftbukkit.v1_11_R1.CraftServer.enablePlugin(CraftServer.java:375) [spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at org.bukkit.craftbukkit.v1_11_R1.CraftServer.enablePlugins(CraftServer.java:325) [spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at net.minecraft.server.v1_11_R1.MinecraftServer.t(MinecraftServer.java:419) [spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at net.minecraft.server.v1_11_R1.MinecraftServer.l(MinecraftServer.java:380) [spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at net.minecraft.server.v1_11_R1.MinecraftServer.a(MinecraftServer.java:335) [spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at net.minecraft.server.v1_11_R1.DedicatedServer.init(DedicatedServer.java:272) [spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at net.minecraft.server.v1_11_R1.MinecraftServer.run(MinecraftServer.java:542) [spigot-1.11.2.jar:git-Spigot-7d78b81-e232e15]
    at java.lang.Thread.run(Thread.java:745) [?:1.8.0_72]
     
    Please tell me.
     
  2. I think you have to update DemeLine
     
  3. What do you mean? Spigot version or?
     
  4. Is DemeLine up to date?
     
  5. I am the owner of demeline and I used version spigot-1.11.2 (Yes.)

    I do not have an error but a person who purchased my plugin does. This is what makes me confused. I tested both 1.8 and 1.11.2 and it works but for the client it does not.
     
  6. Gaxan

    Supporter

    I would ask here https://www.spigotmc.org/forums/spigot-plugin-development.52/
    You are more likely to get the help you need. Also perhaps add "unregistered PluginClassLoader help" to the title.

    Edit: Have the customer give you a list of plugins they are using. Doing a quick search on the forums produced several results of plugins that cause this error because they modify how plugins are loaded.
     
  7. Can you paste the code snippet around that line?
     
  8. Okay, I will keep that in mind. I have asked the customer what plugins does he have. I will wait for the response and update you all.
     
  9. I don't think there is an error with the code as it worked for me on 1.8 and 1.11.2. My customer which purchased this plugin is using it on a host and he gets this error so I am unsure if it is the code as many other customers purchased "Demeline" and have tested it out.
     
  10. I believe the issue is with PerWorldPlugins.
     
  11. Okay, thank you for letting me know. I will update the customer on that. It was just strange to me that it worked for everyone else and not for him.
     
  12. Gaxan

    Supporter

    Also MassiveLag causes this error
     
  13. Code (Text):
    at us.Myles.PWP.TransparentListeners.PerWorldPluginLoader.enablePlugin(PerWorldPluginLoader.java:145) [PerWorldPlugins.jar:?]
     
  14. Gaxan

    Supporter

    Yes, I was just adding to what you said. Not trying to dispute it or anything.
    It never hurts to give additional information just in case it occurs again.
     
  15. i think problem is with plugin perworldplugins
     
  16. We already know .... o_O
     
Thread Status:
Not open for further replies.